/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SYSTEM_TOOLS_SYSPROP_COMMON_H_
#define SYSTEM_TOOLS_SYSPROP_COMMON_H_

#include <string>
#include "sysprop.pb.h"

inline static constexpr const char* kGeneratedFileFooterComments =
    "// Generated by the sysprop generator. DO NOT EDIT!\n\n";

std::string ApiNameToIdentifier(const std::string& name);
bool CreateDirectories(const std::string& path);
std::string GetModuleName(const sysprop::Properties& props);
bool IsDirectory(const std::string& path);
bool IsListProp(const sysprop::Property& prop);
bool ParseProps(const std::string& file_path, sysprop::Properties* props,
                std::string* err);
std::string ToUpper(std::string str);

#endif  // SYSTEM_TOOLS_SYSPROP_COMMON_H_
